org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor.system_drop_keyspace<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,Cassandra.system_drop_keyspace_args,java.lang.String>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor.system_drop_keyspace<I>

Enclosing class:
  Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

    public static class Cassandra.AsyncProcessor.system_drop_keyspace<I extends Cassandra.AsyncIface>
    extends org.apache.thrift.AsyncProcessFunction<I,Cassandra.system_drop_keyspace_args,java.lang.String>

### Constructor Summary

Constructors
Constructor and Description
`Cassandra.AsyncProcessor.system_drop_keyspace()`

### Method Summary

Methods
`Cassandra.system_drop_keyspace_args` `getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<java.lang.String>` `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean` `isOneway()`
`void` `start(I iface, Cassandra.system_drop_keyspace_args args, org.apache.thrift.async.AsyncMethodCallback<java.lang.String> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Cassandra.AsyncProcessor.system_drop_keyspace

    public Cassandra.AsyncProcessor.system_drop_keyspace()

### Method Detail

#### getEmptyArgsInstance

    public Cassandra.system_drop_keyspace_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.system_drop_keyspace_args,java.lang.String>`

#### getResultHandler

    public org.apache.thrift.async.AsyncMethodCallback<java.lang.String> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                 int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.system_drop_keyspace_args,java.lang.String>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.system_drop_keyspace_args,java.lang.String>`

#### start

    public void start(I iface,
             Cassandra.system_drop_keyspace_args args,
             org.apache.thrift.async.AsyncMethodCallback<java.lang.String> resultHandler)
               throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.system_drop_keyspace_args,java.lang.String>`
Throws:
  `org.apache.thrift.TException`